org.jetlang.remote.core

## Class ByteArrayBuffer

- java.lang.Object
- - org.jetlang.remote.core.ByteArrayBuffer

    public class ByteArrayBuffer
    extends Object

User: mrettig Date: 4/27/11 Time: 10:36 AM

### Field Summary

Fields
`protected byte[]` `buffer`
`protected int` `position`

### Constructor Summary

Constructors
Constructor and Description
`ByteArrayBuffer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `afterResize()`
`void` `append(byte[] bytes)`
`void` `append(byte[] bytes, int offset, int length)`
`void` `appendInt(int v)`
`void` `appendIntAsByte(int msgType)`
`void` `flushTo(OutputStream socketOutputStream)`
`void` `reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### buffer

    protected byte[] buffer

#### position

    protected int position

### Constructor Detail

#### ByteArrayBuffer

    public ByteArrayBuffer()

### Method Detail

#### reset

    public void reset()

#### appendIntAsByte

    public void appendIntAsByte(int msgType)

#### afterResize

    protected void afterResize()

#### appendInt

    public void appendInt(int v)

#### append

    public void append(byte[] bytes,
                       int offset,
                       int length)

#### append

    public void append(byte[] bytes)

#### flushTo

    public void flushTo(OutputStream socketOutputStream)
                 throws IOException

Throws:
  `IOException`